# Encoders

The encoders allow to transform whatever information the server is sending as a response of a request, no matter the handler that is generating it. In most of the cases the encoding will be a compressing encoding, to reduce the outgoing bandwidth consumed by the server and speed up things for the client.

Once again, the encoding support is based on modules, so if the configuration file tell the server to load a module, it will get it ready to use, otherwise there won't be any kind of support on memory.

The encoders can be configured using the word Encoder followed by the name of the encoder module and its options. Those options allow to define the extensions which are allowed, or not, to be encoded.

## Parameters

It's possible to specify which file can be encoded and which ones are not. This is done by the words Allow and Deny.

## Example

    Encoder gzip {
        Allow html, htm, txt
        Deny jpg, png, gz
    }